ONVIF::Device::Elements::SetDNS(3pm)

NAME
ONVIF::Device::Elements::SetDNS

DESCRIPTION
Perl data type class for the XML Schema defined element SetDNS from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   FromDHCP

     $element->set_FromDHCP($data);
     $element->get_FromDHCP();

•   SearchDomain

     $element->set_SearchDomain($data);
     $element->get_SearchDomain();

•   DNSManual

     $element->set_DNSManual($data);
     $element->get_DNSManual();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetDNS->new($data);

Constructor. The following data structure may be passed to new():

 {
   FromDHCP =>  $some_value, # boolean
   SearchDomain =>  $some_value, # token
   DNSManual =>  { # ONVIF::Device::Types::IPAddress
     Type => $some_value, # IPType
     IPv4Address => $some_value, # IPv4Address
     IPv6Address => $some_value, # IPv6Address
   },
 },

AUTHOR
Generated by SOAP::WSDL